<?xml version="1.0" encoding="UTF-8" ?>

    <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match ="treenodes">
	<h1>Robustness items</h1>
	<br />
        <xsl:apply-templates select="node"/>

    </xsl:template>
    
    
    <xsl:template name="node" match="node">
    
        <div style="padding-left:30px;">

            <div>
            	
            	<xsl:if test="@type='Input item'">
				
			<img src="gfx/i.gif" height="18" />
      		</xsl:if>
      		
      		<xsl:if test="@type='Barrier'">
			<img src="gfx/b.gif" height="18" />
					
		</xsl:if>
      		
      		<xsl:if test="@type='Failure mode'">
			<img src="gfx/f.gif" height="18" />
					
		</xsl:if>
		      		
      		<xsl:if test="@type='Action'">
			<img src="gfx/a.gif" height="18" />				
					
		</xsl:if>
      		
      		<xsl:if test="@type='Test'">
			<img src="gfx/t.gif" height="18" />				
					
		</xsl:if>
      		
            	<b><xsl:value-of select="@text"/></b>  (<i><xsl:value-of select="@descr"/></i>)
            		            
            </div>
	    
            <xsl:apply-templates select="node"/>
            
            <xsl:if test="@type='Input item'">


            <br />
            <hr />
            
	    	
	    </xsl:if>
      		
        </div>

    </xsl:template>
        

</xsl:stylesheet>